Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Errore virtualbox in Ubuntu 14.04
#1
Buongiorno,

questo errore in Ubuntu 14.04 mi assilla da ieri, dopo gli aggiornamenti, è una cosa grave ed è meglio retrocedere con il kernel o aspetto altri aggiornamenti?

   


Grazie
Cita messaggio
Grazie da:
#2
Beh, in base a quello che c'è scritto, il kernel oops (aka Kernel panic) in genere è dovuto a mancanza di supporto hardware o bugs.
In questo caso indica chiaramente un bug.
Quindi bisogna vedere a cosa si riferisce.
L'ioapic è :
https://it.wikipedia.org/wiki/Architettu...ella_Intel
che si potrebbe disabilitare direttamente dalle opzioni di avvio, se questo portasse benefici.
http://wiki.ubuntu-it.org/Installazione/ParametriAvvio
Secondo i topic parrebbe essere un qualche problema con VirtualBox :
https://forums.virtualbox.org/viewtopic....11&t=49078
anche se è possibile che tu debba semplicemente ricompilare il kernel di VirtualBox a causa del cambianto di stack hardware,
Se l'errore non impedisce il boot ( e mi pare di no ) avvia VirtualBox e segui le istruzioni a video.

Se fosse un altro motivo che causa il problema, a parte la disabilitazione detta sopra, quando appare l'errore posta :
Codice:
dmesg | tail
per approfondire la cosa.
Inoltre puoi anche seguire questo topic :
https://wiki.ubuntu.com/Kernel/KernelDebuggingTricks
se volessi andare proprio a fondo nel debugging.

E come consiglio generale, se il precedente kernel funzionava bene, sarebbe stato meglio non cambiarlo, salvo ci siano stati motivi di ulteriore supporto hardware migliore o questioni di sicurezza,
Cita messaggio
Grazie da:
#3
Se quel kernel ti da problemi, al menùà di GRUB puoi sempre optare per avviare Linux con la versione precedente, e continuare in questo modo almeno finchè non arriva un nuovo kernel che non mostri problemi col tuo hardware.
Linux: PCLinuxOS + OpenSUSE + Ubuntu + Linux Mint + Fedora
Smartphone: Alcatel PIXI4 +tablet AMTC MD7305 (Android 4.1) +tablet SurfTab® wintron 7.0 (Windows™ 10©)
http://sargonsei.altervista.org/hardware...r-fisso-2/
Cita messaggio
Grazie da: Marilù
#4
...
Se fosse un altro motivo che causa il problema, a parte la disabilitazione detta sopra, quando appare l'errore posta :
Codice:
dmesg | tail

mb3@mb3:~$ dmesg | tail
[11864.929035] APIC: Delivery type APIC_DM_FIXED not implemented. u8Pin=0 u8Level=0
[11864.929267] IOAPIC GUEST BUG: bad vector writing 700(sel=20) to 8
[11956.768058] vboxdrv: ffffffffc07d7020 VMMR0.r0
[11956.888002] vboxdrv: ffffffffc08d0020 VBoxDDR0.r0
[11956.889161] vboxdrv: ffffffffc028a020 VBoxDD2R0.r0
[11957.000612] vboxdrv: ffffffffc03a1020 VBoxEhciR0.r0
[12109.690113] vboxdrv: ffffffffc08ee020 VMMR0.r0
[12109.813776] vboxdrv: ffffffffc09e7020 VBoxDDR0.r0
[12109.815670] vboxdrv: ffffffffc05ba020 VBoxDD2R0.r0
[12109.848147] vboxdrv: ffffffffc0679020 VBoxEhciR0.r0
mb3@mb3:~$


Se ci capisci qualcosa...
Cita messaggio
Grazie da:
#5
Come già evidenziato, si tratta dei driver di VirtualBox che vanno in crisi con il cambio stack.
Ti funziona regolarmente ?

Eventualmente proverei a reinstallarlo.
Guarda se sono presenti i seguenti pacchetti :
dkms
virtualbox-guest-dkms

o simili, dato che nelle nuove release con kernel > 4.x.x sono cambiate diverse cose.
Cita messaggio
Grazie da: Marilù
#6
Grazie,

con quei 2 pacchetti pare abbia smesso anche se sono per una versione più vecchia di Virtualbox, che ha sempre funzionato ed ho la versione 5.0 .
Cita messaggio
Grazie da:
#7
Se va bene così, meglio.
Altrimenti fai come detto sopra.

Ciao.
Cita messaggio
Grazie da: Marilù
#8
Ho fatto una modifica:
I pacchetti installati in seguito al precedende post
virtualbox-guest-dkms (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1)
virtualbox-guest-utils (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1)
virtualbox-guest-x11 (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1)

li ho rimossi perché all'avvio mi veniva fuori un'avviso del tipo: "Virtualbox kernel is not runnig"

e li ho sostituiiti con
virtualbox-guest-dkms-lts-xenial (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4)
virtualbox-guest-utils-lts-xenial (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4)

Le due macchine virtuali che ho, XP e Linux Mint Cinnamon, funzionano bene.

Grazie

Ps:
Ho avuto dei problemi con un Pclinuxos virtuale ma può darsi che non centri nulla , anche perché l'errore di Virtualbox è spuntato qualche giorno dopo.
http://www.istitutomajorana.it/forum2/Th...e-server-x

Del bios preferisco non toccare niente.
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)